Skip to main content
GET
/
edubridge
/
analytics
/
highestGradeMastered
/
:studentId
/
:subject
Gets the highest grade mastered by a student for a given subject
curl --request GET \
  --url https://api.alpha-1edtech.ai/edubridge/analytics/highestGradeMastered/:studentId/:subject \
  --header 'Authorization: Bearer <token>'
{
  "studentId": "<string>",
  "subject": "<string>",
  "grades": {
    "ritGrade": "3",
    "edulasticGrade": "3",
    "placementGrade": "3",
    "testOutGrade": "3",
    "highestGradeOverall": "3"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.timeback.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

studentId
string
required

The sourced_id of the student for which to get the highest grade mastered

subject
string
required

The subject for which to get the highest grade mastered

Response

200 - application/json

Successful response

studentId
string
required

The sourced_id of the student for which to get the highest grade mastered

subject
string
required

The subject for which to get the highest grade mastered

grades
object
required